You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
mastodon/Gemfile

103 lines
1.9 KiB

# frozen_string_literal: true
7 years ago
source 'https://rubygems.org'
Version bumps for ruby and misc gems (#1159) * Update rspec-rails to version 3.5.2 * Update addressable to version 2.5.1 * Update autoprefixer-rails to version 6.7.7.1 * Update bullet to version 5.5.1 * Update domain_name to version 0.5.20170404 * Update letter_opener_web to version 1.3.1 * Upate redis-rails to version 5.0.2 * Update active_record_query_trace to version 1.5.4 * Update capistrano-rails to version 1.2.3 * Update dotenv-rails to version 2.2.0 * Update pg to version 0.20.0 * Update tilt to version 2.0.7 * Update warden to version 1.2.7 * Update tins to version 1.13.2 * Update terminal-table to version 1.7.3 * Update oj to version 2.18.5 * Update simplecov to version 0.14.1 * Update uglifier to version 3.1.13 * Update hashdiff to version 0.3.2 * Update webmock to version 2.3.2 * Update devise to version 4.2.1 * Use ruby version 2.4.1 * Update sass to version 3.4.23 * Update puma to version 3.8.2 * Update will_paginate to version 3.1.5 * Update font-awesome-rails to version 4.7.0.1 * Update fuubar to version 2.2.0 * Update pry-rails to version 0.3.6 * Update simple-navigation to version 4.0.5 * Update rubocop to version 0.48.1 * Update doorkeeper to version 4.2.5 * Update faker to version 1.7.3 * Update aws-sdk to version 2.9.5 * Update fabrication to version 2.16.1 * Update hamlit-rails to version 0.2.0 * Update http to version 2.2.1 * Update httplog to version 0.99.2 * Update sidekiq to version 4.2.10 * Update rspec-sidekiq to version 3.0.0 * Update pghero to version 1.6.4 * Update rack-cors to version 0.4.1 * Update i18n-tasks to version 0.9.13 * Update ruby-oembed to version 0.12.0 * Update jquery-rails to version 4.3.1 * Update simple_form to version 3.4.0 * Update react-rails to version 1.11.0 * Update aws-sdk to version 2.9.6 * Update sidekiq-unique-jobs to version 5.0.0 * Update uglifier to version 3.2.0
6 years ago
ruby '2.4.1'
7 years ago
gem 'pkg-config'
gem 'rails', '~> 5.0.2'
7 years ago
gem 'sass-rails', '~> 5.0'
gem 'uglifier', '>= 1.3.0'
gem 'jquery-rails'
gem 'puma'
gem 'hamlit-rails'
7 years ago
gem 'pg'
gem 'pghero'
7 years ago
gem 'dotenv-rails'
gem 'font-awesome-rails'
gem 'best_in_place', '~> 3.0.1'
7 years ago
gem 'paperclip', '~> 5.1'
gem 'paperclip-av-transcoder'
gem 'aws-sdk', '>= 2.0'
7 years ago
gem 'addressable'
gem 'devise'
gem 'devise-two-factor'
gem 'doorkeeper'
gem 'fast_blank'
gem 'goldfinger'
gem 'hiredis'
gem 'htmlentities'
gem 'http'
gem 'http_accept_language'
gem 'httplog'
gem 'kaminari'
gem 'link_header'
gem 'nokogiri'
gem 'oj'
gem 'ostatus2'
gem 'ox'
gem 'rabl'
gem 'rack-attack'
gem 'rack-cors', require: 'rack/cors'
gem 'rack-timeout'
gem 'rails-i18n'
gem 'rails-settings-cached'
gem 'redis', '~>3.2', require: ['redis', 'redis/connection/hiredis']
gem 'rqrcode'
gem 'ruby-oembed', require: 'oembed'
gem 'sidekiq'
gem 'sidekiq-unique-jobs'
gem 'simple-navigation'
gem 'simple_form'
gem 'sprockets-rails', :require => 'sprockets/railtie'
gem 'statsd-instrument'
gem 'twitter-text'
gem 'tzinfo-data'
7 years ago
gem 'react-rails'
gem 'browserify-rails'
gem 'autoprefixer-rails'
7 years ago
group :development, :test do
gem 'rspec-rails'
gem 'pry-rails'
gem 'fuubar'
gem 'fabrication'
gem 'i18n-tasks', '~> 0.9.6'
end
group :test do
gem 'capybara'
gem 'faker'
gem 'microformats2'
gem 'rails-controller-testing'
gem 'rspec-sidekiq'
gem 'simplecov', require: false
gem 'webmock'
7 years ago
end
group :development do
gem 'rubocop', require: false
gem 'better_errors'
gem 'binding_of_caller'
gem 'letter_opener'
gem 'letter_opener_web'
gem 'bullet'
gem 'active_record_query_trace'
gem 'capistrano', '3.8.0'
gem 'capistrano-rails'
gem 'capistrano-rbenv'
gem 'capistrano-yarn'
gem 'capistrano-faster-assets', '~> 1.0'
7 years ago
end
group :production do
gem 'rails_12factor'
gem 'redis-rails'
gem 'lograge'
7 years ago
end